Bug 963892 - [abrt] evolution-data-server-3.6.4-3.fc18: g_thread_new: Process /usr/libexec/evolution-calendar-factory was killed by signal 5 (SIGTRAP)
[abrt] evolution-data-server-3.6.4-3.fc18: g_thread_new: Process /usr/libexec...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evolution-data-server (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
abrt_hash:5db19343e37edbc49808e291d95...
:
: 969842 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-16 13:58 EDT by Jonathan Nicol
Modified: 2014-02-05 16:24 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:24:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (48.06 KB, text/plain)
2013-05-16 13:58 EDT, Jonathan Nicol
no flags Details
File: cgroup (129 bytes, text/plain)
2013-05-16 13:59 EDT, Jonathan Nicol
no flags Details
File: core_backtrace (3.04 KB, text/plain)
2013-05-16 13:59 EDT, Jonathan Nicol
no flags Details
File: dso_list (10.42 KB, text/plain)
2013-05-16 13:59 EDT, Jonathan Nicol
no flags Details
File: environ (1020 bytes, text/plain)
2013-05-16 13:59 EDT, Jonathan Nicol
no flags Details
File: limits (1.29 KB, text/plain)
2013-05-16 13:59 EDT, Jonathan Nicol
no flags Details
File: maps (60.80 KB, text/plain)
2013-05-16 13:59 EDT, Jonathan Nicol
no flags Details

  None (edit)
Description Jonathan Nicol 2013-05-16 13:58:55 EDT
Version-Release number of selected component:
evolution-data-server-3.6.4-3.fc18

Additional info:
backtrace_rating: 4
cmdline:        /usr/libexec/evolution-calendar-factory
crash_function: g_thread_new
executable:     /usr/libexec/evolution-calendar-factory
kernel:         3.8.8-202.fc18.x86_64
uid:            1000
ureports_counter: 1
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 g_thread_new at gthread.c:838
 #3 impl_DataCalView_start at e-data-cal-view.c:475
 #4 e_gdbus_marshallers_BOOLEAN__OBJECT at e-gdbus-marshallers.c:124
 #9 e_gdbus_stub_handle_method_call at e-gdbus-templates.c:679
 #10 call_in_idle_cb at gdbusconnection.c:4737
 #15 dbus_server_run_server at e-dbus-server.c:222
 #16 ffi_call_unix64 at ../src/x86/unix64.S:75
 #17 ffi_call at ../src/x86/ffi64.c:486
 #18 g_cclosure_marshal_generic_va at gclosure.c:1550
 #19 _g_closure_invoke_va at gclosure.c:840
Comment 1 Jonathan Nicol 2013-05-16 13:58:58 EDT
Created attachment 748979 [details]
File: backtrace
Comment 2 Jonathan Nicol 2013-05-16 13:59:00 EDT
Created attachment 748980 [details]
File: cgroup
Comment 3 Jonathan Nicol 2013-05-16 13:59:01 EDT
Created attachment 748981 [details]
File: core_backtrace
Comment 4 Jonathan Nicol 2013-05-16 13:59:04 EDT
Created attachment 748982 [details]
File: dso_list
Comment 5 Jonathan Nicol 2013-05-16 13:59:06 EDT
Created attachment 748983 [details]
File: environ
Comment 6 Jonathan Nicol 2013-05-16 13:59:07 EDT
Created attachment 748984 [details]
File: limits
Comment 7 Jonathan Nicol 2013-05-16 13:59:09 EDT
Created attachment 748985 [details]
File: maps
Comment 8 Milan Crha 2013-05-17 03:53:09 EDT
Thanks for a bug report. A similar upstream report is [1], against pitivi, where user found a workaround to not set stack limit. Do you have that set intentionally? Or maybe you just had evolution-data-server running too long, and it leaked too much of memory? I see in comment #6 attachment that you have set a stack size limit.

[1] https://bugzilla.gnome.org/show_bug.cgi?id=662295
Comment 9 Milan Crha 2013-06-03 06:44:29 EDT
*** Bug 969842 has been marked as a duplicate of this bug. ***
Comment 10 Fedora End Of Life 2013-12-21 08:34:36 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2014-02-05 16:24:30 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.